/**
 * long description for the file
 *
 * @summary 岗位分配角色
 * @author wu <308822989@qq.com>
 *
 * Created at     : 2018-08-01 18:01:57
 * Last modified  : 2018-08-27 14:54:44
 */

import axios from '@/config/axios.js';
import { proPath } from '@/config/config.js';

const state = {
}

const getters = {
}

const mutations = {
}
const actions = {
  //  岗位查询角色
  syspostroles ({ commit, state }, form) {
    let res = axios.get(proPath + 'v1/syspostroles/', {
      params: form
    });
    return res;
  },
  //  岗位绑定多个角色
  batchInsertPostRoles ({ commit, state }, obj) {
    let res = axios.put(proPath + 'v1/syspostroles/batchInsertPostRoles?postId=' + obj.postId, obj.form);
    return res;
  }
}

//
export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
}
